import { Observable } from 'rxjs';
import { RPCMessage } from '../core/type';


export interface RPCClientRWC {
  connect(queryString?: string): void;
  readResponse(): Observable<RPCMessage>;
  writeRequest(data: RPCMessage): void;
  disconnect(): void;
  connectionStatus(): Observable<boolean>;
}
